#pragma once
#include "global.h"
//墙壁纹理矫正
class CWallAdjust : public CDialog
{
	DECLARE_DYNAMIC(CWallAdjust)
	DECLARE_MESSAGE_MAP()
public:
	CWallAdjust(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CWallAdjust();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMAPEDITOR_WALLADJUST };
#endif
	int outOp = 0;//0当前、1全部
	int outDx = 0;
	int outDy = 0;
	int inW = 0;
	int inH = 0;
	CEdit edit_w;
	CEdit edit_h;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
private:
	//控件
	CButton check_current;
	CButton check_all;
	CEdit edit_dx;
	CEdit edit_dy;
public:
	afx_msg void OnBnClickedOk();
};

